<?php
/******************************************************************************************/
/* SPL-Tracking permet de consulter le tracking des newsletters mises                    */
/* par un gestionnaire d'envoi de lettres d'informations/newsletters                      */
/* SPL-Tracking est lgrement inspir du plugin SPIP-listes ( http://bloog.net)          */
/* SPL-Tracking: (C) 2006 Pierre DALLIER pierre.dallier<at>zeos-france.fr                 */
/*                                                                                        */
/* Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes */
/* de la Licence Publique Gnrale GNU publie par la Free Software Foundation            */
/* (version 2).                                                                           */
/*                                                                                        */
/* Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE,       */
/* ni explicite ni implicite, y compris les garanties de commercialisation ou             */
/* d'adaptation dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU  */
/* pour plus de dtails.                                                                  */
/*                                                                                        */
/* Vous devez avoir reu une copie de la Licence Publique Gnrale GNU                    */
/* en mme temps que ce programme ; si ce n'est pas le cas, crivez  la                  */
/* Free Software Foundation,                                                              */
/* Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.                   */
/******************************************************************************************/

//spl_tracking_info
function spl_tracking_info(){
	$img="../"._DIR_PLUGIN_SPL_TRACKING."/img_pack/mail.png";
	debut_boite_info();
	$return="<div><img src=\"$img\">";
	$return.=$GLOBALS['spl_tracking_texte_intro'];
	$return.="</div>";
	echo $return;
	fin_boite_info();
}

// barre avec onglet(s)
function spl_tracking_onglets($rubrique, $onglet){
	//global $id_auteur, $connect_id_auteur, $connect_statut, $statut_auteur, $options;

	debut_onglet();

	onglet(_T('spl_tracking:Statistiques sur les lettres d\'informations'), "?exec=spl_tracking", "Accueil", $onglet, "../"._DIR_PLUGIN_SPL_TRACKING."/img_pack/mail.png");

	fin_onglet();
}


	/**
	 * spl_tracking_afficher_en_liste
	 * affiche des listes d'lments
	 **/
	function spl_tracking_nombre_affichage_par_newsletter() {
		$requete1="SELECT id_message, COUNT(id_message) AS nbre FROM spip_messages_stats GROUP BY id_message ORDER BY id_message";	
		$resultat_aff = spip_query($requete1);
		if (@spip_num_rows($resultat_aff) > 0) {
			$titre="Statistiques d'affichage par newsletter";
			$en_liste= "<div class='liste'>\n";
			$en_liste.= "<div style='position: relative;'>\n";
			$en_liste.= "<div style='position: absolute; top: -12px; left: 3px;'>\n";
			//$en_liste.= "<img src='".$image."'  />\n";
			$en_liste.= "</div>\n";
			$en_liste.= "<div style='background-color: white; color: black; padding: 3px; padding-left: 5px; border-bottom: 1px solid #444444;' class='verdana2'>\n";
			$en_liste.= "<b>\n";
			$en_liste.= $titre;
			$en_liste.= "</b>\n";
			$en_liste.= "</div>\n";
			$en_liste.= "</div>\n";
			$en_liste.= "<table width='100%' cellpadding='2' cellspacing='0' border='0'>\n";

			while ($row = spip_fetch_array($resultat_aff)) {
				$id_row	= $row['id_message'];
				$nbre_affichage	= $row['nbre'];
				$en_liste.= "<tr class='tr_liste'>\n";
				$en_liste.= "<td width='11'>";
				$en_liste.= "</td>";
				$en_liste.= "<td class='arial2'>\n";
				$en_liste.= "<div>\n";
				$en_liste.= "<a href=\"".$url_row."\" dir='ltr' style='display:block;'>\n";
				$en_liste.= "Newsletter no&nbsp;".$id_row.": ".$nbre_affichage." affichages";
				$en_liste.= "</a>\n";
				$en_liste.= "</div>\n";
				$en_liste.= "</td>\n";
				

			}
			$en_liste.= "</table>\n";
			$en_liste.= "</div>\n";
			$en_liste.= "<br />\n";
		}
		
		echo $en_liste;

	}

/*
Afficher le top 50 des emails des lecteurs !
*/
function spl_tracking_top_50() {
                $requete1="SELECT email, count(email) AS nbre FROM spip_messages_stats group by email order by nbre desc limit 0,50";
                $resultat_aff = spip_query($requete1);
                if (@spip_num_rows($resultat_aff) > 0) {
                        $titre="Top 50 des personnes les plus assidues (toutes les newsletters)";
                        $en_liste= "<div class='liste'>\n";
                        $en_liste.= "<div style='position: relative;'>\n";
                        $en_liste.= "<div style='position: absolute; top: -12px; left: 3px;'>\n";
			//$image="/plugins/spip-listes-tracking1.0/img_pack/mail.png";	
                        $en_liste.= "<img src='".$image."'  />\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "<div style='background-color: white; color: black; padding: 3px; padding-left: 5px; border-bottom: 1px solid #444444;' class='verdana2'>\n";
                        $en_liste.= "<b>\n";
                        $en_liste.= $titre;
                        $en_liste.= "</b>\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "<table width='100%' cellpadding='2' cellspacing='0' border='0'>\n";

                        while ($row = spip_fetch_array($resultat_aff)) {
                                $email = $row['email'];
                                $nbre_affichage = $row['nbre'];
  $en_liste.= "<tr class='tr_liste'>\n";
                                $en_liste.= "<td width='11'>";
                                $en_liste.= "</td>";
                                $en_liste.= "<td class='arial2'>\n";
                                $en_liste.= "<div>\n";
                                $en_liste.= "<a href=\"".$url_row."\" dir='ltr' style='display:block;'>\n";
                                $en_liste.= $email.":&nbsp;".$nbre_affichage." affichages";
                                $en_liste.= "</a>\n";
                                $en_liste.= "</div>\n";
                                $en_liste.= "</td>\n";


                        }
                        $en_liste.= "</table>\n";

                        $en_liste.= "</div>\n";
                        $en_liste.= "<br />\n";
                }

                echo $en_liste;

        }


/*
Afficher le top 50 des emails des lecteurs !
*/
function spl_tracking_top_50_par_newsletter() {
                $requete1="SELECT email, count(email) AS nbre, id_message FROM spip_messages_stats group by email,id_message order by id_message asc, nbre desc limit 0,50";
                $resultat_aff = spip_query($requete1);
                if (@spip_num_rows($resultat_aff) > 0) {
                        $titre="Top 50 des personnes les plus assidues (tri&eacute;es par newsletter)";
                        $en_liste= "<div class='liste'>\n";
                        $en_liste.= "<div style='position: relative;'>\n";
                        $en_liste.= "<div style='position: absolute; top: -12px; left: 3px;'>\n";
                        //$image="/plugins/spip-listes-tracking1.0/img_pack/mail.png";
                        $en_liste.= "<img src='".$image."'  />\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "<div style='background-color: white; color: black; padding: 3px; padding-left: 5px; border-bottom: 1px solid #444444;' class='verdana2'>\n";
                        $en_liste.= "<b>\n";
                        $en_liste.= $titre;
                        $en_liste.= "</b>\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "<table width='100%' cellpadding='2' cellspacing='0' border='0'>\n";
			$previous_id_message=0;
                        while ($row = spip_fetch_array($resultat_aff)) {
                                $email = $row['email'];
				$id_message=$row["id_message"];
				$nbre_affichage = $row['nbre'];
				if($id_message!=$previous_id_message){
					$en_liste.= "<tr class='tr-liste'><td colspan='2' class='arial2' bgcolor='#cdcdcd'>\nNewsletter no $id_message</td></tr>";	
				}
  				$en_liste.= "<tr class='tr_liste'>\n";
                                $en_liste.= "<td width='11'>";
                                $en_liste.= "</td>";
                                $en_liste.= "<td class='arial2'>\n";
                                $en_liste.= "<div>\n";
                                $en_liste.= "<a href=\"".$url_row."\" dir='ltr' style='display:block;'>\n";
                                $en_liste.= $email.":&nbsp;".$nbre_affichage." affichages";
                                $en_liste.= "</a>\n";
                                $en_liste.= "</div>\n";
                                $en_liste.= "</td>\n";
				$previous_id_message=$id_message;

                        }
                        $en_liste.= "</table>\n";

                        $en_liste.= "</div>\n";
                        $en_liste.= "<br />\n";
                }

                echo $en_liste;

        }

function spl_tracking_top_10_domaines() {
                $requete1="SELECT right(email,  length(email) - instr(email, '@')) as domaine, count(right(email,  length(email) - instr(email, '@')) ) as nbre FROM spip_messages_stats group by domaine limit 0,10";
                $resultat_aff = spip_query($requete1);
                if (@spip_num_rows($resultat_aff) > 0) {
                        $titre="Top 10 des domaines les plus r&eacute;pandus";
                        $en_liste= "<div class='liste'>\n";
                        $en_liste.= "<div style='position: relative;'>\n";
                        $en_liste.= "<div style='position: absolute; top: -12px; left: 3px;'>\n";
                        //$image="/plugins/spip-listes-tracking1.0/img_pack/mail.png";
                        $en_liste.= "<img src='".$image."'  />\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "<div style='background-color: white; color: black; padding: 3px; padding-left: 5px; border-bottom: 1px solid #444444;' class='verdana2'>\n";
                        $en_liste.= "<b>\n";
                        $en_liste.= $titre;
                        $en_liste.= "</b>\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "</div>\n";
                        $en_liste.= "<table width='100%' cellpadding='2' cellspacing='0' border='0'>\n";
                        $previous_id_message=0;
                        while ($row = spip_fetch_array($resultat_aff)) {
                                $domaine = $row['domaine'];
                                $nbre_affichage = $row['nbre'];
                                $en_liste.= "<tr class='tr_liste'>\n";
                                $en_liste.= "<td width='11'>";
                                $en_liste.= "</td>";
                                $en_liste.= "<td class='arial2'>\n";
                                $en_liste.= "<div>\n";
                                $en_liste.= "<a href=\"".$url_row."\" dir='ltr' style='display:block;'>\n";                                 $en_liste.= $domaine.":&nbsp;".$nbre_affichage." affichages";
                                $en_liste.= "</a>\n";
                                $en_liste.= "</div>\n";
                                $en_liste.= "</td>\n";

                        }
                        $en_liste.= "</table>\n";

                        $en_liste.= "</div>\n";
                        $en_liste.= "<br />\n";
                }

                echo $en_liste;

        }

/******************************************************************************************/
/* SPL-Tracking permet de consulter le tracking des newsletters mises                    */
/* par un gestionnaire d'envoi de lettres d'informations/newsletters                      */
/* SPL-Tracking est lgrement inspir du plugin SPIP-listes ( http://bloog.net)          */
/* SPL-Tracking: (C) 2006 Pierre DALLIER pierre.dallier<at>zeos-france.fr                 */
/*                                                                                        */
/* Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes */
/* de la Licence Publique Gnrale GNU publie par la Free Software Foundation            */
/* (version 2).                                                                           */
/*                                                                                        */
/* Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE,       */
/* ni explicite ni implicite, y compris les garanties de commercialisation ou             */
/* d'adaptation dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU  */
/* pour plus de dtails.                                                                  */
/*                                                                                        */
/* Vous devez avoir reu une copie de la Licence Publique Gnrale GNU                    */
/* en mme temps que ce programme ; si ce n'est pas le cas, crivez  la                  */
/* Free Software Foundation,                                                              */
/* Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.                   */
/******************************************************************************************/
?>
